Package org.eclipse.emf.cdo.lm.client

# Interface IAssemblyDescriptor

All Superinterfaces:
  `org.eclipse.net4j.util.container.IContainer<AssemblyModule>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.properties.IPropertiesContainer`

public interface IAssemblyDescriptor extends org.eclipse.net4j.util.properties.IPropertiesContainer, org.eclipse.net4j.util.container.IContainer<AssemblyModule>

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IAssemblyDescriptor.AvailableUpdatesChangedEvent`
`static interface`
`IAssemblyDescriptor.NameChangedEvent`
`static interface`
`IAssemblyDescriptor.Updates`
`static enum`
`IAssemblyDescriptor.UpdateState`
`static interface`
`IAssemblyDescriptor.UpdateStateChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`Assembly`
`getAssembly()`
`IAssemblyDescriptor.Updates`
`getAvailableUpdates()`
`Baseline`
`getBaseline()`
`Baseline`
`getBaseline(AssemblyModule module)`
`CDOCheckout`
`getCheckout()`
`AssemblyModule`
`getModule(String name)`
`String`
`getModuleName()`
`AssemblyModule[]`
`getModules(boolean withNewModules)`
`String`
`getName()`
`List<String>`
`getResolutionErrors()`
`ISystemDescriptor`
`getSystemDescriptor()`
`IAssemblyDescriptor.UpdateState`
`getUpdateState()`
`boolean`
`hasUpdatesAvailable()`
`void`
`update()`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

## Method Details

### getName

String getName()

### getCheckout

CDOCheckout getCheckout()

### getBaseline

Baseline getBaseline()

### getBaseline

Baseline getBaseline(AssemblyModule module)

### getAssembly

Assembly getAssembly()

### getModuleName

String getModuleName()

### getModule

AssemblyModule getModule(String name)

### getModules

AssemblyModule[] getModules(boolean withNewModules)

### getSystemDescriptor

ISystemDescriptor getSystemDescriptor()

### hasUpdatesAvailable

boolean hasUpdatesAvailable()

### getUpdateState

IAssemblyDescriptor.UpdateState getUpdateState()

### getAvailableUpdates

IAssemblyDescriptor.Updates getAvailableUpdates()

### getResolutionErrors

List<String> getResolutionErrors()

### update

void update() throws Exception

Throws:
  `Exception`